<?php 
	$header_file=APPPATH.'views/include/header.php';
	require($header_file);
	$sidenav_file=APPPATH.'views/include/sidenav.php';
	require($sidenav_file);	?>
	
	<style>
	    span.select2-dropdown.select2-dropdown--below {
            width: 252px!important;
            z-index: 99999;
            overflow: hidden;
        }
	</style>
  
    <!-- BEGIN: Content-->
    <div class="app-content content">
      <div class="content-overlay"></div>
      <div class="content-wrapper">
        <div class="content-header row">
          <div class="content-header-left col-md-12 col-12 mb-2 breadcrumb-new">
            <h3 class="content-header-title mb-0 d-inline-block">Transfer</h3>
            <div class="row breadcrumbs-top d-inline-block">
              <div class="breadcrumb-wrapper col-12">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item"><a href="#">Home</a>
                  </li>
                  <li class="breadcrumb-item"><a href="#">Transfer</a>
                  </li>
                  <li class="breadcrumb-item active">Transfer
                  </li>
                </ol>
              </div>
            </div>
          </div>
          
        </div>
        <div class="content-body"><!-- Basic form layout section start -->
<section id="basic-form-layouts">
	<form class="form" autocomplete="off" action="<?php echo site_url('Transfer/addTransfer');?>" method="post">

	<div class="row justify-content-md-right">
		<div class="col-md-12">
		    
			<div class="card" style="height: 99px!important;">
			
				<div class="card-content collapse show">
					<div class="card-body">
						
							<div class="row justify-content-md-right card_margin">
								<div class="col col-md-6 mleft">
									<div class="form-body">
										<div class="form-group">
										<?php $cur_date = date("d-m-Y"); 
										$branch_id = $_SESSION['branch_id'];
										$branch_name = $_SESSION['branch_name'];
										$full_name = $_SESSION['full_name']; ?>
											<label for="eventInput1">Transfer Date</label>
											<input class="form-control" type="text" name="trans_date" id="trans_date" value="<?php echo $cur_date ?>" readonly >
										</div>
									</div>
								</div>
								<div class="col col-md-6">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Outlet</label>
											<select name="to_branch" id="to_branch" class="form-control select2" required>
												<option value="0">Select Outlet</option>
												<?php  foreach($outlet as $out)
													{
												?>
													<option value="<?php echo $out->branch_name ?>"><?php echo $out->username ?></option>
												<?php
													} 
												?>
												<?php if($_SESSION['username'] == 'First Floor Kitchen') 
												{ ?>
													<option value="Cakewala">Cakewala</option>
												<?php } ?>
												<?php if($_SESSION['username'] == 'counter') 
												{ ?>
													<option value="ST1">Santhe1</option>
												<?php } ?>
												<?php if($_SESSION['username'] == 'Services-CW2') 
												{ ?>
													<option value="ST2">Santhe2</option>
												<?php } ?>
												<?php if($_SESSION['username'] == 'cw3-counter') 
												{ ?>
													<option value="ST3">Santhe3</option>
												<?php } ?>
											</select>
											<input type="hidden" name="outlet" id="outlet" >
											
											<input type="hidden" id="branch_id" class="form-control"  name="branch_id" value="<?php echo $branch_id;?>">
											<input type="hidden" id="branch_name" class="form-control"  name="branch_name" value="<?php echo $branch_name;?>">
											<input type="hidden" id="full_name" class="form-control"  name="full_name" value="<?php echo $full_name;?>">
											
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			<div class="card">
			
				<div class="card-content collapse show">
					<div class="card-body">
					<div class="row justify-content-md-right cardbody">
						<div class="text_increment">
							<div>
								<div class="row">
									<div class="col-4 col-md-3">
										<div class="form-group">
											<select name="item_type[]" id="item_type" class="form-control select2" required>
												<option value="0">Select Type</option>
												<option value="Raw Material">Raw Material</option>
												<option value="Finished Product">Finished Product</option>
											</select>
										</div>
									</div>
									<div class="col-4 col-md-3">
										<div class="form-group">
											<select name="item_name[]" id="item_name" class="form-control select2" required>
												<option value="">Select Product</option>
											</select>
										</div>
									</div>
									<div class="col-md-1 d-none d-sm-block">
										<div class="form-group">
											<input class="form-control" type="text" name="uom[]" id="uom"  readonly  placeholder="UOM" />
										</div>
									</div>
									<div class="col-md-1 d-none d-sm-block">
										<div class="form-group">
											<input class="form-control" type="text" name="close_stock[]"  id="close_stock" readonly placeholder="CSTK"/>
										</div>
									</div>
									<div class="col-3 col-md-1">
										<div class="form-group">
											<input class="form-control quantity" type="text"  name="quantity[]"  id="quantity" required placeholder="QTY" />
										</div>
									</div>
									<div class="col-md-2 col-md-half-three d-none d-sm-block">
										<div class="form-group">
											<input class="form-control" type="text" name="remarks[]" id="remarks" Placeholder="Remarks"/>
											<input class="form-control" type="hidden" name="item_id[]" id="item_id"  readonly />
											<input class="form-control" type="hidden" name="cat_id[]" id="cat_id" readonly />
											<input class="form-control" type="hidden" name="itm_id[]" id="itm_id" readonly />
										</div>
									</div>
									
								</div>
							</div>	
						</div>
					</div>
				</div>
			</div>
		</div>
                <div class="card" style="height: 81px;!important;">
			
				    <div class="card-content collapse show">
					    <div class="card-body">
							<div class="text-right">
								<div class="row card_margin">
									<div class="col-md-2 mleft">

									</div>
									<div class="col-md-8 mleft">
										<button type="reset" class="btn btn-warning mr-1">
											<i class="ft-x"></i> Cancel
										</button>
										<button type="submit" class="btn btn-primary">
											<i class="la la-check-square-o"></i> Save
										</button>
									</div>
								</div>
							</div>
						

					</div>
				</div>
				<div class="col col-md-1 col-sm-1 md-fab-wrapper plus">
					<a href="javascript:void(0);" class="add_button" title="Add field"><i class="la la1 la-plus-circle"></i>
					<!--<img src="<?php //echo base_url(); ?>app-assets/images/add-icon.png" class="image_logo"/>-->
					</a>
				</div>
				<br/>
			</div>
		</div>
	</div>
</form>	
</section>
<!-- // Basic form layout section end -->
        </div>
      </div>
    </div>
    <?php //require('include/theme_customizer.php');?>

   <?php 
  $footer_file=APPPATH.'views/include/footer.php';
	require($footer_file);
	?>
<script type="text/javascript">
		$(document).ready(function(){
			var maxField = 100; //Input fields increment limitation
			var addButton = $('.add_button'); //Add button selector
			var wrapper = $('.text_increment'); //Input field wrapper
			var x = 1; //Initial field counter is 1
			var counter = 1;
			//$(addButton).click(function(){ 
			$(document).on("click",".add_button",function() {  //Once add button is clicked
				if(x < maxField){ //Check maximum number of input fields
					x++; //Increment field counter
					$(wrapper).append('<div><div class="row"><div class="col-4 col-md-3 col-sm-3 col-xs-3"><div class="form-group"><select name="item_type[]" id="item_type'+counter+'" class="form-control select2" required><option value="0">Select Type</option><option value="Raw Material">Raw Material</option><option value="Finished Product">Finished Product</option></select></div></div><div class="col-4 col-md-3 col-sm-3 col-xs-3"><div class="form-group"><select name="item_name[]" id="item_name'+counter+'" class="form-control select2" required><option value="">Select Product</option></select><input class="form-control" type="hidden" name="it_name[]" id="it_name'+counter+'" readonly /></div></div><div class="col-md-1 d-none d-sm-block"><div class="form-group"><input class="form-control" type="text" name="uom[]" id="uom'+counter+'"  readonly  placeholder="UOM" /></div></div><div class="col-md-1 d-none d-sm-block"><div class="form-group"><input class="form-control" type="text" name="close_stock[]"  id="close_stock'+counter+'" readonly placeholder="CSTK"/></div></div><div class="col-3 col-md-1 col-sm-1 col-xs-1"><div class="form-group"><input class="form-control quantity" type="text"  name="quantity[]"  id="quantity'+counter+'" required placeholder="QTY" /></div></div><div class="col-md-2 col-md-half-three d-none d-sm-block"><div class="form-group"><input class="form-control" type="text" name="remarks[]" id="remarks'+counter+'" Placeholder="Remarks"/><input class="form-control" type="hidden" name="item_id[]" id="item_id'+counter+'"  readonly /><input class="form-control" type="hidden" name="cat_id[]" id="cat_id'+counter+'" readonly /><input class="form-control" type="hidden" name="itm_id[]" id="itm_id'+counter+'" readonly /></div></div><div class="col col-md-1 remove_button col-sm-1 col-xs-1"><a href="javascript:void(0);" class="" title="Remove field"><img src="<?php echo base_url(); ?>app-assets/images/remove-icon.png" class="image_logo"/></a></div></div></div>'); 
					//alert(counter);
					$(function () {
						$(".select2").select2();
						$('#quantity' + counter).keypress(function(e) {
							var a = [];
							var k = e.which;
							for (i = 46; i < 58; i++)
							a.push(i);
							if (!($.inArray(k,a)>=0))
							e.preventDefault();
						});
					});
										
					$('#item_type' + counter).change(function(){
						var id = $(this).attr('id');
						// alert(id);
						id_length = id.length;
						if(id_length == 10) {
							counts = id.substr(-1);
							var item_type = $('#item_type'+counts).val();
							var branch_id = $('#branch_id').val();
							$('#item_name'+counts).val('');
							$.ajax({
								type :'POST',
								dataType:'json',
								data : { item_type : item_type,branch_id : branch_id },
								url : '<?php echo base_url();?>index.php/Transfer/getItemProduct',
								success: function(data) {
									$('#item_name'+counts).empty();
									$('#item_name'+counts).append('<option value="">Select Product</option>');
									for(var j=0;j<data.length;j++) {
										var iname = data[j].item_name;
										$('#item_name'+counts).append('<option value="'+data[j].item_name+'">'+data[j].item_name+'</option>');
										//alert(iname);
									}
								}
							});
							//$("#item_name"+ counts).attr('disabled', 'disabled');
						}
						else{
							counts = id.substr(-2);
							var item_type = $('#item_type'+counts).val();
							var branch_id = $('#branch_id').val();
							$('#item_name'+counts).val('');
							$.ajax({
								type :'POST',
								dataType:'json',
								data : { item_type : item_type,branch_id : branch_id },
								url : '<?php echo base_url();?>index.php/Transfer/getItemProduct',
								success: function(data) {
									$('#item_name'+counts).empty();
									$('#item_name'+counts).append('<option value="">Select Product</option>');
									for(var j=0;j<data.length;j++) {
										var iname = data[j].item_name;
										$('#item_name'+counts).append('<option value="'+data[j].item_name+'">'+data[j].item_name+'</option>');
										//alert(iname);
									}
								}
							});
							//$("#item_name"+ counts).attr('disabled', 'disabled');
						}
					});
					
					$('#item_name' + counter).change(function(){
						var id = $(this).attr('id');
						// alert(id);
						id_length = id.length;
						if(id_length == 10) {
							counts = id.substr(-1);
							var item_type = $('#item_type'+counts).val();
							var i_name = $('#item_name'+counts).val();
							var branch_id = $('#branch_id').val();
							$.ajax({
								type :'POST',
								dataType:'json',
								data : { item_type : item_type,iname : i_name,br_id : branch_id },
								url : '<?php echo base_url();?>index.php/Master/get_ItemProductDetails',
								success: function(data) {
									//alert(data.price);
																											
									$('#uom'+counts).val(data.uom);
									$('#item_id'+counts).val(data.item_id);
									$('#cat_id'+counts).val(data.category_id);
									$('#close_stock'+counts).val(data.stock_item);
									$('#itm_id'+counts).val(data.itm_id);
									
								}
							});
							//$("#item_name"+ counts).attr('disabled', 'disabled');
						}
						else{
							counts = id.substr(-2);
							var item_type = $('#item_type'+counts).val();
							var i_name = $('#item_name'+counts).val();
							var branch_id = $('#branch_id').val();
							//alert(i_name);
							//alert(brname);
							$.ajax({
								type :'POST',
								dataType:'json',
								data : { item_type : item_type,iname : i_name,br_id : branch_id },
								url : '<?php echo base_url();?>index.php/Master/get_ItemProductDetails',
								success: function(data) {
									//alert(data.price);
									$('#uom'+counts).val(data.uom);
									$('#item_id'+counts).val(data.item_id);
									$('#cat_id'+counts).val(data.category_id);
									$('#close_stock'+counts).val(data.stock_item);
									$('#itm_id'+counts).val(data.itm_id);
								}
							});
							//$("#item_name"+ counts).attr('disabled', 'disabled');
						}
					});
															
					$('#quantity'+counter).on('keyup',function() {
						var id = $(this).attr('id');
						id_length = id.length;
						if(id_length == 9) {
							counts = id.substr(-1);
							var qty = $('#quantity'+ counts).val();
							var stock = $('#close_stock'+ counts).val();
							if(parseFloat(qty) > parseFloat(stock))
							{
								var lt = 0;
								alert("you cant enter more than the stock");
								$('#quantity'+counts).val(lt);
							}
						}
						else
						{
							counts = id.substr(-2);
							var qty = $('#quantity'+ counts).val();
							var stock = $('#close_stock'+ counts).val();
							if(parseFloat(qty) > parseFloat(stock))
							{
								var lt = 0;
								alert("you cant enter more than stock");
								$('#quantity'+counts).val(lt);
							}
						}
					});
				}
				//alert(counter);
				counter++;
			});
			$(wrapper).on('click', '.remove_button', function(e){ //Once remove button is clicked
				e.preventDefault();
				$(this).parent('div').remove(); //Remove field html
				x--; //Decrement field counter
				counter--;
			});
		});
	</script>
	<script>
		$('#to_branch').on('change',function() {
			var outlet = $('#to_branch :selected').text();
			$('#outlet').val(outlet);
		});
	</script>
	<script>
	$("#item_type").change(function() {
			var item_type = $('#item_type').val();
			var branch_id = $('#branch_id').val();
			$('#item_name').val('');
		//	alert(branch_id); 
			$.ajax({
				type :'POST',
				dataType:'json',
				data : { item_type : item_type,branch_id : branch_id },
				url: '<?php echo base_url();?>index.php/Transfer/getItemProduct', 
				success: function(data) {
					$('#item_name').empty();
					//alert(data.item_name);
					$('#item_name').append('<option value="">Select Product</option>');
					for(var j=0;j<data.length;j++) {
						var iname = data[j].item_name;
						$('#item_name').append('<option value="'+data[j].item_name+'">'+data[j].item_name+'</option>');
						//alert(iname);
					}
				}
			});
		});
	
	</script>
	<script>
		$("#item_name").change(function(){
			var item_type = $('#item_type').val();
			var i_name = $('#item_name').val();
			var branch_id = $('#branch_id').val();
			//alert(item_type);
			//alert(brname);
			$.ajax({
				type :'POST',
				dataType:'json',
				data : { item_type : item_type,iname : i_name,br_id : branch_id },
				url : '<?php echo base_url();?>index.php/Master/get_ItemProductDetails',
				success: function(data) {
					//alert(data.price);
					$('#uom').val(data.uom);
					$('#item_id').val(data.item_id);
					$('#cat_id').val(data.category_id);
				    $('#close_stock').val(data.stock_item);
					$('#itm_id').val(data.itm_id);
				}
			});
			//$("#item_name").attr('disabled', 'disabled');
		});
	</script>
	<script>
		$('#quantity').on('keyup',function() {
			var qty = $('#quantity').val();
			var stock = $('#close_stock').val();
			if(parseFloat(qty) > parseFloat(stock))
			{
				var lt = 0;
				alert("you cant enter more than the stock");
				$('#quantity').val(lt);
			}
		});
	</script>
	<script>
		$(window).on('beforeunload', function () {
			//$("input[type=submit], input[type=button]").prop("disabled", "disabled");
			$("input[type=submit]").prop("disabled", "disabled");
			$("#submit").css("background-color","#dcdcdc");
		});
	</script>
	
  </body>
  <!-- END: Body-->

<!-- Mirrored from pixinvent.com/modern-admin-clean-bootstrap-4-dashboard-html-template/html/ltr/vertical-modern-menu-template/form-layout-basic.html by HTTrack Website Copier/3.x [XR&CO'2014], Mon, 27 Apr 2020 09:38:02 GMT -->
</html>